SUSE: 2022:2995-1 moderate: gdk-pixbuf | LinuxSecurity.com

Advisories


   SUSE Security Update: Security update for gdk-pixbuf
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2995-1
Rating:             moderate
References:         #1201826 
Cross-References:   CVE-2021-46829
CVSS scores:
                    CVE-2021-46829 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-46829 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Basesystem 15-SP4
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for gdk-pixbuf fixes the following issues:

   Update to version 2.42.8, including the following:

   - CVE-2021-46829: Fixed a heap-based buffer overflow when compositing or
     clearing frames in GIF files (bsc#1201826).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-2995=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-2995=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.42.8-150400.5.3.1
      gdk-pixbuf-devel-2.42.8-150400.5.3.1
      gdk-pixbuf-devel-debuginfo-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-debuginfo-2.42.8-150400.5.3.1
      gdk-pixbuf-thumbnailer-2.42.8-150400.5.3.1
      gdk-pixbuf-thumbnailer-debuginfo-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-debuginfo-2.42.8-150400.5.3.1
      typelib-1_0-GdkPixbuf-2_0-2.42.8-150400.5.3.1
      typelib-1_0-GdkPixdata-2_0-2.42.8-150400.5.3.1

   - openSUSE Leap 15.4 (x86_64):

      gdk-pixbuf-devel-32bit-2.42.8-150400.5.3.1
      gdk-pixbuf-devel-32bit-debuginfo-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-32bit-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-32bit-debuginfo-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-32bit-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-32bit-debuginfo-2.42.8-150400.5.3.1

   - openSUSE Leap 15.4 (noarch):

      gdk-pixbuf-lang-2.42.8-150400.5.3.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.42.8-150400.5.3.1
      gdk-pixbuf-devel-2.42.8-150400.5.3.1
      gdk-pixbuf-devel-debuginfo-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-debuginfo-2.42.8-150400.5.3.1
      gdk-pixbuf-thumbnailer-2.42.8-150400.5.3.1
      gdk-pixbuf-thumbnailer-debuginfo-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-debuginfo-2.42.8-150400.5.3.1
      typelib-1_0-GdkPixbuf-2_0-2.42.8-150400.5.3.1
      typelib-1_0-GdkPixdata-2_0-2.42.8-150400.5.3.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch):

      gdk-pixbuf-lang-2.42.8-150400.5.3.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (x86_64):

      gdk-pixbuf-query-loaders-32bit-2.42.8-150400.5.3.1
      gdk-pixbuf-query-loaders-32bit-debuginfo-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-32bit-2.42.8-150400.5.3.1
      libgdk_pixbuf-2_0-0-32bit-debuginfo-2.42.8-150400.5.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-46829.html
   https://bugzilla.suse.com/1201826

SUSE: 2022:2995-1 moderate: gdk-pixbuf

September 2, 2022
An update that fixes one vulnerability is now available

Summary

This update for gdk-pixbuf fixes the following issues: Update to version 2.42.8, including the following: - CVE-2021-46829: Fixed a heap-based buffer overflow when compositing or clearing frames in GIF files (bsc#1201826). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-2995=1 - SUSE Linux Enterprise Module for Basesystem 15-SP4: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-2995=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.42.8-150400.5.3.1 gdk-pixbuf-devel-2.42.8-150400.5.3.1 gdk-pixbuf-devel-debuginfo-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-debuginfo-2.42.8-150400.5.3.1 gdk-pixbuf-thumbnailer-2.42.8-150400.5.3.1 gdk-pixbuf-thumbnailer-debuginfo-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-debuginfo-2.42.8-150400.5.3.1 typelib-1_0-GdkPixbuf-2_0-2.42.8-150400.5.3.1 typelib-1_0-GdkPixdata-2_0-2.42.8-150400.5.3.1 - openSUSE Leap 15.4 (x86_64): gdk-pixbuf-devel-32bit-2.42.8-150400.5.3.1 gdk-pixbuf-devel-32bit-debuginfo-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-32bit-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-32bit-debuginfo-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-32bit-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-32bit-debuginfo-2.42.8-150400.5.3.1 - openSUSE Leap 15.4 (noarch): gdk-pixbuf-lang-2.42.8-150400.5.3.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.42.8-150400.5.3.1 gdk-pixbuf-devel-2.42.8-150400.5.3.1 gdk-pixbuf-devel-debuginfo-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-debuginfo-2.42.8-150400.5.3.1 gdk-pixbuf-thumbnailer-2.42.8-150400.5.3.1 gdk-pixbuf-thumbnailer-debuginfo-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-debuginfo-2.42.8-150400.5.3.1 typelib-1_0-GdkPixbuf-2_0-2.42.8-150400.5.3.1 typelib-1_0-GdkPixdata-2_0-2.42.8-150400.5.3.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch): gdk-pixbuf-lang-2.42.8-150400.5.3.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (x86_64): gdk-pixbuf-query-loaders-32bit-2.42.8-150400.5.3.1 gdk-pixbuf-query-loaders-32bit-debuginfo-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-32bit-2.42.8-150400.5.3.1 libgdk_pixbuf-2_0-0-32bit-debuginfo-2.42.8-150400.5.3.1

References

#1201826

Cross- CVE-2021-46829

CVSS scores:

CVE-2021-46829 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2021-46829 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Basesystem 15-SP4

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2021-46829.html

https://bugzilla.suse.com/1201826

Severity
Announcement ID: SUSE-SU-2022:2995-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.